Subject: Ftp-WG: Potentially unsound use of MDTM

From: Pat LaVarre <[email-masked]>
Date: Sat, 13 Jul 2002 21:09:04 -0500

> Is there a need for an FTP command
> to set the modification time on a file
> (presumably so as to allow files to be uploaded
> with their original modification dates,

Certainly, in substituting an Ftp connection for a
real filesystem, I for one felt the lack of a way to
copy modification date/time accurately more strongly
than I felt the lack of a standard way to parse folder
vs. file and other info from LIST text.

Pat LaVarre

-----Original Message-----
From:	Alun Jones [mailto:[email-masked]]
Sent:	Fri 7/12/2002 1:41 PM
To:	FTPEXT Working Group
Cc:	
Subject:	Ftp-WG: Potentially unsound use of MDTM

I'm receiving reports from some of my users that some
FTP clients (and 
presumably FTP servers also?) attempt to use the MDTM
command not just to 
display a file's time, but to _modify_ it.

The format used is the sadly ambiguous "MDTM
yyyymmddhhmmss[.fraction] 
filename".

Since file names can have spaces, and may start with
digits, there's a 
possibility of overlap, wherein it is not possible to
say whether the 
command received is to set the time on one file, or
display the time for 
another.  Granted, this confusion would require that a
file "yyyymmddhhmmss 
xyz" exists in the same folder as one called "xyz",
but I think that's not 
sufficiently unlikely for me to feel comfortable with
implementing this 
extension to the FTP protocol.

What are your feelings on this?  Am I being too
anal-retentive?  Is there a 
need for an FTP command to set the modification time
on a file (presumably 
so as to allow files to be uploaded with their
original modification dates, 
but perhaps for other reasons)?  [One or two of my
potential users seem to 
think so, at least]  Is it worth proposing a more
standardised, and 
unambiguous, command sequence, to forestall this
possibly causing problems 
in future?  While I can't see any means to use this
ambiguity as an attack, 
I do find that many sources of error come from
different handlings of 
ambiguously stated 'standards'.

Alun.
~~~~
--
Texas Imperial Software   | Try WFTPD, the Windows FTP
Server. Find us at
1602 Harvest Moon Place   | http://www.wftpd.com or
email [email-masked]
Cedar Park TX 78613-1419  | VISA/MC accepted. 
NT-based sites, be sure to
Fax/Voice +1(512)258-9858 | read details of WFTPD Pro
for NT.

[[[ Yahoo spam may follow, sorry. ]]]

__________________________________________________
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes
http://autos.yahoo.com